#include <stdio.h>
#include <stdlib.h>

void print_list(char *list[]) {
    int i = 0;
    while (list[i] != NULL) {
        printf("[%d] => %s\n", i, list[i]);
        i++;
    }
}

// Para informar que 'environ' existe...
extern char **environ;

int main(int argc, char **argv) {

    print_list(environ);
    
    // printf("environ[0] => %p => %s\n", environ[0], environ[0]);
    
    // char *env = getenv("SHELL");
    // printf("getenv(\042SHELL\042) => %p => %s\n", env, env);
    
    return 0;
}

